FLANG

Public Member Functions | Static Public Attributes | List of all members
Fortran::runtime::StaticDescriptor< MAX_RANK, ADDENDUM, MAX_LEN_PARMS > Class Template Reference

## Public Member Functions
Descriptor & | descriptor ()
const Descriptor & | descriptor () const
void | Check ()

## Static Public Attributes
static constexpr int | maxRank {MAX_RANK}
static constexpr int | maxLengthTypeParameters {MAX_LEN_PARMS}
static constexpr bool | hasAddendum {ADDENDUM || MAX_LEN_PARMS > 0}
static constexpr std::size_t | byteSize

## Member Data Documentation

## ◆ byteSize

template<int MAX_RANK = maxRank, bool ADDENDUM = false, int MAX_LEN_PARMS = 0>

constexpr std::size_t Fortran::runtime::StaticDescriptor< MAX_RANK, ADDENDUM, MAX_LEN_PARMS >::byteSize
| static constexpr

Initial value:
{
Descriptor::SizeInBytes(maxRank, hasAddendum, maxLengthTypeParameters)}

The documentation for this class was generated from the following file:

- runtime/descriptor.h